// scss-docs-start color-variables
$red: #c63f3f;
$green: #4bc202;
$cream: #e8dad3;
$yellow: #ffc107;
// scss-docs-end color-variables

// scss-docs-start colors-map
$colors: (
  "red": $red,
  "green": $green,
  "white": $white,
  "cream": $cream,
  "yellow": $yellow,
);
// scss-docs-end colors-map

// scss-docs-start theme-color-variables
$primary: #1b4b66;
$primary-tint: #639599;
$dark: #13101e;
$highlight: #ff8c4b;
$accent: #f4f4f4;
$success: $green;
$warning: $yellow;
$danger: #b00020; //text-danger

$bright: #ffff;
$grey: #f1f1f1;

$light-text: #b6b6b6;
$high-emphasis: #171520;
$low-emphasis: #626262;
// scss-docs-end theme-color-variables

// scss-docs-start theme-colors-map
$theme-colors: (
  "primary:" $primary,
  "primary-tint:" $primary-tint,
  "dark:" $dark,
  "highlight:" $highlight,
  "accent:" $accent,
  "success:" $success,
  "warning:" $warning,
  "danger:" $danger,
  "bright:" $bright,
  "grey:" $grey,
  "light-text:" $light-text,
  "high-emphasis:" $high-emphasis,
  "low-emphasis:" $low-emphasis
);
// scss-docs-end theme-colors-map

$body-color: #000000; //on-base

// The contrast ratio to reach against white, to determine if color changes from "light" to "dark". Acceptable values for WCAG 2.0 are 3, 4.5 and 7.
$min-contrast-ratio: 2;

$cards-gap: 1.2rem;

$font-size-base: 16px;
$font-size-sm: 14px;

$line-height-base: 16px;
$line-height-md: 20px;
$line-height-lg: 24px;

$font-weight-normal: 400;
$font-weight-medium: 400;
$font-weight-semibold: 700;
$font-weight-bold: 700;

$font-family-sans-serif: "Inter", -apple-system, "Segoe UI", Lato,
  "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif,
  "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";

$font-family-headings: "Inter", -apple-system, "Segoe UI", Lato,
  "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif,
  "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";

$font-family-quantity-buttons: "Lucida Console", "Monaco", "Consolas", monospace;

$headings-color: $secondary;
$headings-line-height: 1.2;
$headings-font-weight: $font-weight-bold;

$h1-font-size: 3.25rem;
$h2-font-size: 2.12rem;
$h3-font-size: 2rem;
$h4-font-size: 1.25rem;
$h5-font-size: 0.87rem;
$h6-font-size: 0.75 rem;
$p-font-size: 1rem;

$grid-breakpoints: (
  xs: 0,
  sm: 640px,
  md: 768px,
  lg: 1024px,
  xl: 1200px,
  xxl: 1400px,
  xxxl: 1600px,
  huge: 1800px,
);

$padding-sm: 1rem;
$padding-lg: 1.25rem;

$container-sm: calc(100vw - 32px);
$container-md: calc(100vw - 32px);
$container-lg: 992px;
$container-xl: 1168px;
$container-xxl: 1336px;
$container-xxxl: 1504px;
$container-huge: 1672px;

$container-max-widths: (
  sm: $container-sm,
  md: $container-md,
  lg: $container-lg,
  xl: $container-xl,
  xxl: $container-xxl,
  xxxl: $container-xxxl,
  huge: $container-huge,
);

$transition-duration: 0.6s;
$transition-easing: cubic-bezier(0.12, 0.48, 0, 0.9);
$transition-base: all $transition-duration $transition-easing;

$spacers: (
  0: 0,
  10: $spacer * 100,
);

$utilities: map-get-multiple(
  $utilities,
  (
    "display",
    "flex",
    "flex-direction",
    "justify-content",
    "align-items",
    "align-content",
    "margin-top",
    "margin-end",
    "margin-bottom",
    "margin-start",
    "padding-top",
    "padding-end",
    "padding-bottom",
    "padding-start"
  )
);

$box-shadow: 0 2px 64px 0 rgba(0, 0, 0, 0.05);

$border-color: #f3f3f4;

$border-radius: 50%;
$border-radius-sm: 8px;
$border-radius-lg: 20px;

$h-small: 2rem;
$h-regular: 2.62rem;
$h-large: 3rem;

// Links
$link-color: $primary;

// Buttons
// scss-docs-start btn-variables
$btn-padding-y: 10px;
$btn-padding-x: 20px;
$btn-font-family: $font-family-sans-serif;
$btn-font-size: 12.5px;
$btn-line-height: 1.18;
$btn-letter-spacing: 0.0125em;
$btn-text-transform: uppercase;
//$btn-white-space: null !default; // Set to `nowrap` to prevent text wrapping

$btn-padding-y-sm: 8px;
$btn-padding-x-sm: 16px;
$btn-font-size-sm: 12px;

$btn-padding-y-lg: 12px;
$btn-padding-x-lg: 26px;
$btn-font-size-lg: 13px;

$btn-border-width: 1px;

$btn-font-weight: $font-weight-semibold;
$btn-box-shadow: none;
//$btn-focus-width: $input-btn-focus-width !default;
//$btn-focus-box-shadow: $input-btn-focus-box-shadow !default;
//$btn-disabled-opacity: 0.65 !default;
//$btn-active-box-shadow: inset 0 3px 5px rgba($black, 0.125) !default;

// Allows for customizing button radius independently from global border radius
$btn-border-radius: $border-radius;
$btn-border-radius-sm: $border-radius-sm;
$btn-border-radius-lg: $border-radius-lg;
// scss-docs-end btn-variables

// Forms

// scss-docs-start form-text-variables
//$form-text-margin-top: 0.25rem !default;
//$form-text-font-size: $small-font-size !default;
//$form-text-font-style: null !default;
//$form-text-font-weight: null !default;
//$form-text-color: $text-muted !default;
// scss-docs-end form-text-variables

// scss-docs-start form-label-variables
//$form-label-margin-bottom: 0.5rem !default;
$form-label-font-size: 14px;
//$form-label-font-style: null !default;
$form-label-font-weight: $font-weight-bold;
$form-label-color: $secondary;
// scss-docs-end form-label-variables

// scss-docs-start form-input-variables
$input-padding-y: 10px;
$input-padding-x: 20px;
$input-font-family: $font-family-sans-serif;
$input-font-size: 15px;
//$input-font-weight: $font-weight-base !default;
$input-line-height: $line-height-base;

//$input-padding-y-sm: $input-btn-padding-y-sm !default;
//$input-padding-x-sm: $input-btn-padding-x-sm !default;
//$input-font-size-sm: $input-btn-font-size-sm !default;

//$input-padding-y-lg: $input-btn-padding-y-lg !default;
//$input-padding-x-lg: $input-btn-padding-x-lg !default;
//$input-font-size-lg: $input-btn-font-size-lg !default;

$input-bg: #f5f5f5;
//$input-disabled-bg: $gray-200 !default;
//$input-disabled-border-color: null !default;

$input-color: #999999;
$input-border-color: #a5a7b1;
$input-border-width: 1px;
//$input-box-shadow: $box-shadow-inset !default;

$input-border-radius: 0px;
//$input-border-radius-sm: $border-radius-sm !default;
//$input-border-radius-lg: $border-radius-lg !default;

$input-focus-bg: #fff;
$input-focus-border-color: $primary;
$input-focus-color: $input-color;
//$input-focus-width: $input-btn-focus-width !default;
//$input-focus-box-shadow: $input-btn-focus-box-shadow !default;

//$input-placeholder-color: $gray-600 !default;
//$input-plaintext-color: $body-color !default;

//$input-height-border: $input-border-width * 2 !default;
//$input-transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out !default;
// scss-docs-end form-input-variables

// Alerts
//
// Define alert colors, border radius, and padding.

// scss-docs-start alert-variables
$alert-padding-y: $spacer;
$alert-padding-x: $spacer;
$alert-border-radius: $border-radius;
$alert-border-width: $border-width;
// scss-docs-end alert-variables
